SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   Squid Vendors:   Squid-cache.org
Squid Flaw in SSL-Bump Lets Remote Users Deny Service
SecurityTracker Alert ID:  1029908
SecurityTracker URL:  http://securitytracker.com/id/1029908
CVE Reference:   CVE-2014-0128   (Links to External Site)
Date:  Mar 12 2014
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.1 to 3.3.11, 3.4 to 3.4.3
Description:   A vulnerability was reported in Squid. A remote user can cause denial of service conditions.

A remote user can send HTTPS requests to trigger a flaw in SSL-Bump and cause the target service to crash.

Specially crafted requests are not required to trigger this vulnerability.

Mathias Fischer and Fabian Hugelshofer from Open Systems AG reported this vulnerability.

Impact:   A remote user can cause denial of service conditions.
Solution:   The vendor has issued a fix (3.3.12, 3.4.4).

The vendor's advisory is available at:

http://www.squid-cache.org/Advisories/SQUID-2014_1.txt

Vendor URL:  www.squid-cache.org/Advisories/SQUID-2014_1.txt (Links to External Site)
Cause:   State error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jun 4 2014 (Red Hat Issues Fix) Squid Flaw in SSL-Bump Lets Remote Users Deny Service
Red Hat has issued a fix for Red Hat Enterprise Linux 6.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC